| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::AndFilter< T > Class Template Reference
Utililty classes

The AndFilter class provides a generic filter object to be used in conjunction of other filters. More...

`#include <TelepathyQt/AndFilter>`

Inherits Tp::Filter< T >.

List of all members.

## Public Member Functions

- virtual ~AndFilter ()
- virtual bool isValid () const
- virtual bool matches (const SharedPtr< T > &t) const
- QList< SharedPtr< const Filter
  < T > > > filters () const

## Static Public Member Functions

- static SharedPtr< AndFilter< T > > create (const QList< SharedPtr< const Filter< T > > > &filters=QList< SharedPtr< const Filter< T > > >())

## Detailed Description

### template<class T>
class Tp::AndFilter< T >

The AndFilter class provides a generic filter object to be used in conjunction of other filters.

The AndFilter will match if all of its given list of filters matches their criteria.

## Constructor & Destructor Documentation

template<class T >

virtual Tp::AndFilter< T >::~AndFilter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T >

static SharedPtr<AndFilter<T> > Tp::AndFilter< T >::create | ( | const QList< SharedPtr< const Filter< T > > > & | filters = `QList<SharedPtr<const Filter<T> > >()` | ) | `[inline, static]`

template<class T >

virtual bool Tp::AndFilter< T >::isValid | ( |  | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

template<class T >

virtual bool Tp::AndFilter< T >::matches | ( | const SharedPtr< T > & | t | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

template<class T >

QList<SharedPtr<const Filter<T> > > Tp::AndFilter< T >::filters | ( |  | ) | const`[inline]`